Bug 8383 - ParseSupport could benefit from enhanced error reporting.
Summary: ParseSupport could benefit from enhanced error reporting.
Status: RESOLVED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: unspecified
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-22 22:33 UTC by Ryan Lubke
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Lubke 2002-04-22 22:33:50 UTC
Below is an exception generated when parsing an XML document that has external
entities that can't be resolved:

-------------------------------------------------------------------
 javax.servlet.jsp.JspException:
 ///opt/projects/jakarta-tomcat-4.0/build/bin/xfiles/resolve.xml
       at
 org.apache.taglibs.standard.tag.common.xml.ParseSupport.doEndTag(ParseSupport.java:181)
       at
 org.apache.jsp.positiveParseSystemIdTest$jsp._jspService(positiveParseSystemIdTest$jsp.java:
-------------------------------------------------------------------
Comment 1 Shawn Bayern 2002-04-29 19:38:58 UTC
Greatly improved error handling for all unresolved entities, for both <x:parse>
and <x:transform>.  Messages are now along the lines of:

javax.servlet.ServletException: Could not resolve entity reference: "nope/inclu
ded.xml"

for the English locale.